<template>
  <div class="card">
    <div class="card-header border-0">
      <div class="row align-items-center">
        <div class="col">
          <h3 class="mb-0">Image Usage</h3>
        </div>
      </div>
    </div>

    <div class="table-responsive">
      <base-table thead-classes="thead-light"
                  :data="tableData">
        <template slot="columns">
          <th>Image</th>
          <th>Count</th>
          <th>Popularity</th>
          <th></th>
        </template>

        <template slot-scope="{row}">
          <th scope="row">
            {{row.name}}
          </th>
          <td>
            {{row.count}}
          </td>
          <td>
            <div class="d-flex align-items-center">
              <span class="mr-2">{{row.progress}}%</span>
              <base-progress :type="row.progressType"
                             class="pt-0"
                             :show-percentage="false"
                             :value="row.progress"
              />
            </div>
          </td>
        </template>

      </base-table>
    </div>

  </div>
</template>
<script>
  const axios = require('axios').default;
  export default {
    name: 'images-table',
    data() {
      return {
        tableData: [
          {
            name: 'Debian',
            visitors: '1,480',
            progress: 60,
            progressType: 'gradient-danger',
          },
          {
            name: 'Ubuntu',
            visitors: '5,480',
            progress: 70,
            progressType: 'gradient-success',
          },
          {
            name: 'Fedora',
            visitors: '4,807',
            progress: 80,
            progressType: 'gradient-primary',
          },
          {
            name: 'CentOS',
            visitors: '3,678',
            progress: 75,
            progressType: 'gradient-info',
          },
          {
            name: 'Arch',
            visitors: '2,645',
            progress: 30,
            progressType: 'gradient-warning',
          }
        ]
      }
    },
    mounted() {
        axios
            .get(location.origin+'/api/image/usage')
            .then( r => {

                this.tableData = [];

                for (const x in r.data.Table) {

                    this.tableData.push({
                        name: x,
                        progress: Math.round((r.data.Table[x] / r.data.Total)*100),
                        count: r.data.Table[x],
                        progressType: 'gradient-primary',
                    })

                }

            })
            .finally(() => this.loading = false)
    }

  }
</script>
<style>
</style>
